[pkg-fso-commits] [SCM] FSO frameworkd Debian packaging branch, debian, updated. upstream/0.9.5.5-717-g0f98819

Martin Jansa Martin.Jansa at gmail.com
Sat Aug 6 08:20:16 UTC 2011


The following commit has been merged in the debian branch:
commit 64d40c68c656b7926dfd7eb91101f1f9547a948b
Author: Martin Jansa <Martin.Jansa at gmail.com>
Date:   Mon Jan 17 13:55:24 2011 +0100

    add init.d script from OpenEmbedded and install it by default

diff --git a/etc/init.d/frameworkd b/etc/init.d/frameworkd
new file mode 100644
index 0000000..63d6a79
--- /dev/null
+++ b/etc/init.d/frameworkd
@@ -0,0 +1,40 @@
+#! /bin/sh
+#
+# frameworkd -- This shell script starts and stops the freemsmartphone.org framework daemon.
+#
+# chkconfig: 345 90 20
+# description: frameworkd is the freesmartphone.org framework daemon
+# processname: python
+
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+NAME=frameworkd
+
+[ -f /etc/default/rcS ] && . /etc/default/rcS
+
+case "$1" in
+    start)
+        echo -n "Starting freesmartphone.org framework daemon: "
+        start-stop-daemon --start --pidfile /var/run/${NAME}.pid --make-pidfile --background -x /usr/bin/frameworkd
+        if [ $? = 0 ]; then
+            echo "(ok)"
+        else
+            echo "(failed)"
+        fi
+        ;;
+    stop)
+        echo -n "Stopping freesmartphone.org framework daemon: "
+        start-stop-daemon --stop --pidfile /var/run/${NAME}.pid --oknodo
+        rm -f /var/run/${NAME}.pid
+        echo "(done)"
+        ;;
+    restart|force-reload)
+        $0 stop
+        $0 start
+        ;;
+    *)
+        echo "Usage: /etc/init.d/frameworkd {start|stop|restart|force-reload}"
+        exit 1
+        ;;
+esac
+
+exit 0
diff --git a/setup.py b/setup.py
index 0d46686..5fc24c9 100644
--- a/setup.py
+++ b/setup.py
@@ -26,6 +26,7 @@ setup(
     scripts = [ "framework/frameworkd", "tools/cli-framework", "tools/dump-netlink", "tools/remove-tel", "tools/opimd_fix_db", "tools/opimd_convert_db" ],
     data_files = [
         ("../../etc/dbus-1/system.d", ["etc/dbus-1/system.d/frameworkd.conf"] ),
+        ("../../etc/init.d", ["etc/init.d/frameworkd"] ),
         ("../../etc/freesmartphone/opreferences/schema/",         ["etc/freesmartphone/opreferences/schema/phone.yaml"]),
         ("../../etc/freesmartphone/opreferences/schema/",         ["etc/freesmartphone/opreferences/schema/profiles.yaml"]),
         ("../../etc/freesmartphone/opreferences/schema/",         ["etc/freesmartphone/opreferences/schema/rules.yaml"]),

-- 
FSO frameworkd Debian packaging



More information about the pkg-fso-commits mailing list